# (c) Copyright 2009-2010. CodeWeavers, Inc.

"""CrossOver Config encapsulates a set of functions for reading the main (not
bottle-specific) config file.

This class is stateless, and will read and write to the config file all in a
lump via a dictionary.
"""

# FIXME: The Unix code does not and should not use this module.
#        This means this should be moved elsewhere.

import traceback

import crossover
import cxobjc


class CrossOverConfig(cxobjc.Proxy):
    pass

@cxobjc.method(CrossOverConfig, "crossOverConfigSettings")
def get_crossover_config_settings():
    config = crossover.get_ro_config()
    configDict = {}
    for configenvkey in config["CrossOver"]:
        configDict[configenvkey] = config["CrossOver"][configenvkey]
    return configDict

@cxobjc.method(CrossOverConfig, "setReportWineUsage_")
def set_report_wine_usage(inState):
    try:
        # FIXME: Given the module name this is unfortunate
        crossover.save_setting("CrossOver", "ReportWineUsage", inState)
    except:
        traceback.print_exc()
